Loading...
Searching...
No Matches
RemoveUndef.h File Reference

Defines a lowering pass that elides stores that depend on unitialized values. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::remove_undef (Stmt s)
| Removes stores that depend on undef values, and statements that only contain such stores.

## Detailed Description

Defines a lowering pass that elides stores that depend on unitialized values.

Definition in file RemoveUndef.h.